org.apache.tinkerpop.gremlin.driver.exception

## Class ResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tinkerpop.gremlin.driver.exception.ResponseException

- All Implemented Interfaces:
    Serializable

      public class ResponseException
      extends Exception

  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseException(ResponseStatusCode responseStatusCode, String serverMessage)`
    `ResponseException(ResponseStatusCode responseStatusCode, String serverMessage, List<String> remoteExceptionHierarchy, String remoteStackTrace)`
    `ResponseException(ResponseStatusCode responseStatusCode, String serverMessage, List<String> remoteExceptionHierarchy, String remoteStackTrace, Map<String,Object> statusAttributes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<List<String>>` | `getRemoteExceptionHierarchy()` The list of exceptions generated by the server starting with the top-most one followed by its "cause".
    `Optional<String>` | `getRemoteStackTrace()` The stacktrace produced by the remote server.
    `ResponseStatusCode` | `getResponseStatusCode()`
    `Optional<Map<String,Object>>` | `getStatusAttributes()` Gets any status attributes from the response.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseException

          public ResponseException(ResponseStatusCode responseStatusCode,
                                   String serverMessage)

    - #### ResponseException

          public ResponseException(ResponseStatusCode responseStatusCode,
                                   String serverMessage,
                                   List<String> remoteExceptionHierarchy,
                                   String remoteStackTrace)

    - #### ResponseException

          public ResponseException(ResponseStatusCode responseStatusCode,
                                   String serverMessage,
                                   List<String> remoteExceptionHierarchy,
                                   String remoteStackTrace,
                                   Map<String,Object> statusAttributes)

  - ### Method Detail

    - #### getResponseStatusCode

          public ResponseStatusCode getResponseStatusCode()

    - #### getRemoteStackTrace

          public Optional<String> getRemoteStackTrace()

      The stacktrace produced by the remote server.

    - #### getRemoteExceptionHierarchy

          public Optional<List<String>> getRemoteExceptionHierarchy()

      The list of exceptions generated by the server starting with the top-most one followed by its "cause". That cause is then followed by its cause and so on down the line.

    - #### getStatusAttributes

          public Optional<Map<String,Object>> getStatusAttributes()

      Gets any status attributes from the response.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.